Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
branch: master

Jan 03, 2012

  1. Yehuda Katz

    Clean up module usage. There's no need to use InstanceMethods -- norm…

    …al Ruby modules and includes will work fine here.
    authored January 03, 2012

Dec 14, 2011

  1. Zach Dennis

    Merge pull request #33 from nbudin/master

    Use connection pool instead of actual connection on load (helps with Rails 3.1 on Heroku)
    authored December 14, 2011

Oct 10, 2011

  1. Nat Budin

    Use connection pool instead of actual connection to avoid having to c…

    …onnect to the database until necessary
    authored October 10, 2011

Aug 14, 2011

  1. Zach Dennis

    Bumping to 0.2.8

    authored August 14, 2011

Jul 13, 2011

  1. Zach Dennis

    Bumping VERSION to 0.2.8.rc3

    authored July 12, 2011
  2. Zach Dennis

    Merge pull request #27 from msgehard/fix_gemfile

    Relax pg version dependency a bit.
    authored July 12, 2011
  3. Mike Gehard

    Relax pg version dependency a bit. The Gemfile specifies pg ~>0.9.0 a…

    …nd Rails 3.1 specifies pg 0.11 so there is no way for bundler to install pg for a new download.
    authored July 12, 2011

Jun 23, 2011

  1. Zach Dennis

    Bumping VERSION to 0.2.8.rc2

    authored June 22, 2011
  2. Zach Dennis

    Merge pull request #21 from jamiecobbett/master

    Fix import of very large datasets containing multibyte chars on Ruby 1.9
    authored June 22, 2011
  3. Zach Dennis

    Merge pull request #26 from fallwith/master

    Ruby 1.9.2 / RubyGems 1.8.5 compatibility fix (pass String instead of Pathname to require)
    authored June 22, 2011
  4. Zach Dennis

    Updated Gemfile to include ~> 3.0pre so pre-releases are considered.

    [fixes #24]
    authored June 22, 2011
  5. Zach Dennis

    Updating Gemfile to include activerecord ~> 3.0 instead of 3.0.0 so i…

    …t works with 3.1.
    
    [fixes #24]
    authored June 22, 2011

Jun 22, 2011

  1. James Bunch

    Regexp.escape which is called by Gem.loaded_path? (/usr/local/lib/rub…

    …y/site_ruby/1.9.1/rubygems.rb) expects the path as a String, not a Pathname. Convert Pathnames to Strings prior to calling 'require'
    authored June 22, 2011

May 08, 2011

  1. Correctly obey MySQL MAX PACKET

    Use String's bytesize instead of size, because we're talking about byte length,
    not string length. This resolves a problem on Ruby 1.9 with multi-byte
    characters.
    authored May 08, 2011

May 05, 2011

  1. Adding jdbcmysql support.

    authored April 06, 2011 zdennis committed May 04, 2011

May 04, 2011

  1. Zach Dennis

    Updating import_test to be Ruby 1.9.2 compatible. Ruby 1.9.1 changed …

    …the Date.parse capabilities to no longer support MM/DD/YYYY functionality so we only test against YYYY/MM/DD.
    
    [fixes zdennis#19]
    authored May 04, 2011

Apr 29, 2011

  1. Zach Dennis

    Version bump to 0.2.7

    authored April 29, 2011
  2. Zach Dennis

    Do not use ActiveRecord::Base.new(hsh) when instantiating AR models. …

    …Use form of instantiation that allows protected attributes to be set.
    authored April 29, 2011

Apr 06, 2011

  1. Zach Dennis

    Version bump to 0.2.6

    authored April 06, 2011
  2. Zach Dennis

    Version bump to 0.3.0

    authored April 06, 2011
  3. Zach Dennis

    Updating documentation for synchronize.

    authored April 06, 2011
  4. Zach Dennis

    Updating documentation for synchronizing unsaved/new instances with i…

    …mport.
    
    zdennis#16
    authored April 06, 2011
  5. Zach Dennis

    Added :synchronize_keys to the import options so importing can synchr…

    …onize on fields beside the primary key.
    
    zdennis#16
    authored April 06, 2011

Mar 19, 2011

  1. Zach Dennis

    Adding in support for :synchronization option for #import. Pulled in …

    …from ar-extensions. Currently only works with MySQL since that is the only database that supports on duplicate key update functionality.
    
    https://github.com/zdennis/activerecord-import/issues#issue/6
    authored March 19, 2011
  2. Zach Dennis

    Pulled in ActiveRecord synchronize functionality from the old ar-exte…

    authored March 19, 2011
  3. Zach Dennis

    Turning off warnings because FactoryGirl spews out crap and it makes …

    …it impossible to see anything useful.
    authored March 19, 2011
  4. Zach Dennis

    Adding a test to ensure that specified ids are being saved when impor…

    authored March 19, 2011
  5. Franck Verrot

    Importing an empty array of objects/values should be supported

    authored March 14, 2011 zdennis committed March 19, 2011
  6. Zach Dennis

    Updating .gitignore with more entries

    authored March 19, 2011
  7. Zach Dennis

    Turning warnings on in rake test.

    authored March 19, 2011
  8. Zach Dennis

    Updating gemfile to use spermy operator where appropriate.

    authored March 19, 2011

Jan 12, 2011

  1. Zach Dennis

    Version bump to 0.2.5

    authored January 11, 2011
  2. Zach Dennis

    Ensure the #max_allowed_packet method exists for the MysqlAdapters.

    authored January 11, 2011
  3. Zach Dennis

    Adding test file pattern to ensure connection adapter tests are inclu…

    …ded.
    authored January 11, 2011

Jan 11, 2011

  1. Zach Dennis

    Renamed #values_sql_for_column_names_and_attributes to #values_sql_fo…

    …r_columns_and_attributes and cleaned up how it dealt with columns.
    
    * added back in the support for type-casting based on the database column
    * removed unused method in ActiveRecord::Import::AbstractAdapter
    
    https://github.com/zdennis/activerecord-import/issues#issue/5
    authored January 10, 2011
Something went wrong with that request. Please try again.